Subscribe
Accepted Solution

OCPM 3.2 upgrade / installation issue

Hello everyone,

we wanted to upgrade our OCPM 3.1 installation with the 3.2 version. We have only the SCOM MP without HyperV,OIP etc. installed. Unfortunately the installation routine terminates while starting the VIM Service with the error:

Error 1920 VIM Service failed to start. Verify if you have sufficient privileges.

During the service startup I detect this event in the OnCommand Eventlog:

Virtual Infrastructure Management Service failed to start.

Error code : The contract name 'NetApp.SCI.Common.VIMWebServiceContracts.StorageSystemContracts.IVIMControllerService' could not be found in the list of contracts implemented by the service 'VIMStorageSystemService'.

This error happens during upgrade and during a completely new installation on another Management Server. After the error occurs, the product completely uninstalls itself and leaves us with a non operational system

The 3.1 installation runs fine though.

Our environment: SCOM 2012 SP1, PowerShell 2, Windows 2008 R2, all Systems in English.

All actions incl. the VIM service account were executed with a user account which is local Admin and SCOM Admin.

Does anybody know this error and how to fix it?

Best regards,

Dirk

Re: OCPM 3.2 upgrade / installation issue

Problem solved: Reason was missing PowerShell V3! The Install Guide is a bit misleading, because on page 15 under "Software requirements for installation" there is no hint for PS3, but on top of page 15 there is....

But after the update we discovered another issue: all discovered object were gone and have to be re-discovered!!! Anybody had the same issue yet?

Dirk